#ifndef CONTROLLER_H
#define CONTROLLER_H

#include <QObject>

class Controller : public QObject {
    Q_OBJECT

    public:
        Controller()
            : QObject(NULL),
              m_text("")
        {}

        QString text() { return m_text; }

        void setText(QString text) {
            if (m_text != text) {
                m_text = text;
                emit textChanged();
            }
        }

        Q_PROPERTY(QString text WRITE setText READ text NOTIFY textChanged)

    signals:
        void textChanged();

    private:
        QString m_text;
};

#endif /* CONTROLLER_H */
