//#include <QtCore/QCoreApplication>
#include <QApplication>
#include <QDeclarativeView>
#include <QDeclarativeContext>
#include <QNearFieldManager>

#include "ndefmanager.h"
#include "controller.h"
#include "QDebug"

int main(int argc, char *argv[])
{
    //    QCoreApplication app(argc, argv);
    QApplication app(argc, argv);

    Controller c;
    ndefManager manager(&c);
    if(argc == 2) {
        manager.writeAutostartTag(argv[1]);
    }

    qDebug() << "allocating context";
    QDeclarativeView w;
    qDebug() << "settings ndefmanager context property";
    w.rootContext()->setContextProperty("manager", &manager);
    qDebug() << "setting text controller";

    w.rootContext()->setContextProperty("controler", &c);
    qDebug() << "loading qml file";
    w.setSource(QUrl::fromLocalFile("/opt/nfcautolaunch/qml/mainshit.qml"));

    qDebug() << "going fullscreen";
    w.showFullScreen();


    qDebug() << "starting detection";
    manager.startNfcDetection();

    app.exec();
}
