#ifndef NDEDEFMANAGER_H
#define NDEDEFMANAGER_H

#include <QObject>
#include <QNdefMessage>
#include <QNearFieldManager>
#include <QNearFieldTarget>
#include <QDeclarativeView>
#include <QFile>

#include "controller.h"

QTM_USE_NAMESPACE

class ndefManager : public QObject
{
    Q_OBJECT
    public:
    explicit ndefManager(Controller *c,QObject *parent = 0);
    ~ndefManager();

    void writeAutostartTag(QString text);
    void startNfcDetection(void);

    signals:
    void gotSomething(QString message);
    public slots:
    
    private slots:
    void targetMessageDetected(const QNdefMessage &message, QNearFieldTarget *target);
    void targetDetected(QNearFieldTarget *target);
    void ndefMessageRead(const QNdefMessage &message);
    //void requestCompleted(const QNearFieldTarget::RequestId & id);
    void ndefMessageWritten();
    void targetError(QNearFieldTarget::Error error, const QNearFieldTarget::RequestId &id);
    //void targetLost(QNearFieldTarget *target);

    private:
    void writeNdefMessage(QNearFieldTarget *target);
    QNdefMessage *messageToWrite;
    QNearFieldManager *nearFieldManager;
    Controller *m_textController;
    QFile *m_log;
};

#endif // NDEDEFMANAGER_H
